=== debian/changelog ===
gnuradio (3.7.11-6~mx17+1) mx; urgency=medium

  * Rebuild for MX-17.
  * Disable from-next-runtime-replace-auto_ptr-with-unique_ptr patch
    to prevent FTBFS on Stretch.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 18 Jan 2018 14:04:56 -0800

gnuradio (3.7.11-6) unstable; urgency=medium

  * grc and apps using qt5
  * from next branch runtime: replace std::auto_ptr with std::unique_ptr

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 26 Nov 2017 19:42:29 -0500

gnuradio (3.7.11-5) unstable; urgency=medium

  * python-pyqt5 is available on kFreeBSD

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu, 23 Nov 2017 23:56:41 -0500

gnuradio (3.7.11-4) unstable; urgency=medium

  * use installable dependencies
  * python-pyqt5 is linux-any

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 22 Nov 2017 07:12:47 -0500

gnuradio (3.7.11-3) unstable; urgency=medium

  * update to v3.7.11-118-g6d22211960
  * Add Suggests: to gnuradio-dev to help guide OOT users
    Add Qt and Qwt details from build into gnuradio-qtgui.pc (Closes: #879110)
  * qt4-qt5 patch - build with with qt5 (Closes: #874893)

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 21 Nov 2017 20:55:34 -0500

gnuradio (3.7.11-2) unstable; urgency=medium

  * update to v3.7.11-113-gbbed667ecc
  * python-qwt5-qt4 only used in gr-filter and gr-zeromq GUIs

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 24 Sep 2017 14:49:08 -0400

gnuradio (3.7.11-1) unstable; urgency=medium

  * New upstream release
  * update to v3.7.11-100-gec71327d29
  * improve desktop search metadata (Closes: #847087)
  * Fix a segfault issue for QT time sink (Closes: #860295)
  * michaelld - cmake: Fix for CppUnit and C11 (Closes: #862133)
  * gnuradio depends upon python-numpy (LP: #1471351)

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 27 Aug 2017 10:10:44 -0400
