=== debian/control ===
Source: gnuradio
Section: comm
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
Bugs: mailto: <stevep@mxlinux.org>
XSBC-Original-Maintainer: A. Maitland Bottoms <bottoms@debian.org>
Build-Depends: cmake,
               debhelper (>= 10.0~),
               dh-python,
               doxygen,
               libasound2-dev,
               libboost-date-time-dev,
               libboost-dev,
               libboost-filesystem-dev,
               libboost-program-options-dev,
               libboost-regex-dev,
               libboost-system-dev,
               libboost-test-dev,
               libboost-thread-dev,
               libcodec2-dev (>= 0.4),
	       libcomedi-dev [!hurd-i386],
               libcppunit-dev (>=1.9.14),
               libfftw3-dev,
               libfontconfig1-dev,
               libgsl-dev (>= 2.0),
               libgsm1-dev,
               libjack-jackd2-dev,
               liblog4cpp5-dev,
               liborc-0.4-dev,
               libpulse-dev,
	       libqwt-qt5-dev,
               libsdl1.2-dev,
               libsndfile1-dev,
               libuhd-dev (>=3.10) [!hurd-i386],
               libusb-1.0-0-dev [!kfreebsd-any],
               libusb2-dev [kfreebsd-any],
	       libvolk1-dev (>=1.3),
               libxi-dev,
               libxrender-dev,
               libzmq3-dev [!hurd-i386] | libzmq-dev [!hurd-i386],
               pkg-config (>=0.15.0),
               portaudio19-dev,
               python-cheetah,
               python-dev,
               python-gtk2-dev,
               python-lxml,
               python-numpy,
               python-opengl,
	       python-pyqt5 [!hurd-i386],
               python-scipy,
               python-sphinx,
               python-wxgtk3.0,
               python-zmq [!hurd-i386],
	       qt5-default,
	       qt5-qmake,
               swig (>=1.3.31),
               xmlto
Standards-Version: 4.1.1
Homepage: http://gnuradio.org/
Vcs-Git: https://anonscm.debian.org/git/users/bottoms/pkg-gnuradio.git
Vcs-Browser: https://anonscm.debian.org/cgit/users/bottoms/pkg-gnuradio.git/

Package: gnuradio
Architecture: any
Depends: libvolk1-bin,
         python-cheetah,
         python-gtk2,
         python-lxml,
	 python-numpy,
         python-opengl,
         python-sip,
         python-wxgtk3.0,
         python-zmq [!hurd-i386],
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Recommends: gnuradio-dev,
            python-matplotlib,
	    python-networkx,
            python-pyqt5 [!hurd-i386],
            python-qwt-qt5,
            python-scipy,
            python-tk,
            rtl-sdr,
            uhd-host (>=3.9)
Suggests: gr-fosphor, gr-osmosdr
Multi-Arch: foreign
Description: GNU Radio Software Radio Toolkit
 GNU Radio provides signal processing blocks to implement software
 radios. It can be used with readily-available low-cost external RF
 hardware to create software-defined radios, or without hardware in a
 simulation-like environment. It is widely used in hobbyist, academic
 and commercial environments to support both wireless communications
 research and real-world radio systems.
 .
 GNU Radio applications are primarily written using the Python
 programming language, while the supplied performance-critical signal
 processing path is implemented in C++ using processor floating-point
 extensions, where available. Thus, the developer is able to implement
 real-time, high-throughput radio systems in a simple-to-use,
 rapid-application-development environment.
 .
 While not primarily a simulation tool, GNU Radio does support
 development of signal processing algorithms using pre-recorded or
 generated data, avoiding the need for actual RF hardware.
 .
 This package contains the gnuradio-companion, a graphical tool for
 creating signal flow graphs and generating flow-graph source code.
 Also included are a variety of tools and utility programs.

Package: gnuradio-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: GNU Software Defined Radio toolkit documentation
 Documentation for the GNU Radio software defined radio system
 in html and xml form.
 .
 Part of the main gnuradio build.

Package: gnuradio-dev
Section: libdevel
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Depends: gnuradio (= ${binary:Version}),
         libboost-date-time-dev,
         libboost-filesystem-dev,
         libboost-program-options-dev,
         libboost-system-dev,
         libboost-test-dev,
         libboost-thread-dev,
         libcppunit-dev,
         libfftw3-dev,
         liblog4cpp5-dev,
         libvolk1-dev,
         python-dev,
         ${misc:Depends}
Suggests: cmake, qtbase5-dev, libqwt-qt5-dev, libvolk1-dev (>=1.3), pkg-config, swig
Description: GNU Software Defined Radio toolkit development
 Header files for the GNU Radio software defined radio system.
 Since GNU Radio is a framework for development of SDR
 applications, you are likely to need this installed.
 .
 Part of the main gnuradio build.

Package: libgnuradio-analog3.7.11
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: gnuradio analog functions
 Library for handling analog signal processing functions.
 These functions are also in gnuradio-core.
 Part of the main gnuradio build.

Package: libgnuradio-atsc3.7.11
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: gnuradio atsc functions
 Library for handling ATSC (Advanced Television Systems Committee)
 signals such as those used for digital television broadcast in North
 America. Part of the main gnuradio build.

Package: libgnuradio-audio3.7.11
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: gnuradio audio functions
 This is the gr-audio library, used to connect to audio sources
 (mic-in) and sinks (speaker-out) ports on a computer. The underlying
 hardware driver is system and OS dependent and this module should
 automatically discover the correct one to use.  Part of the main
 gnuradio build.

Package: libgnuradio-comedi3.7.11
Section: libs
Architecture: kfreebsd-any linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: gnuradio comedi instrument control functions
 Allows gnuradio to use signals from data acquisition hardware
 supported by the Comedi library and drivers.
 Part of the main gnuradio build.

Package: libgnuradio-blocks3.7.11
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: gnuradio blocks functions
 Some non-signal processing blocks.
 These functions are also in gnuradio-core.
 Part of the main gnuradio build.

Package: libgnuradio-channels3.7.11
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: gnuradio channels functions
 Some channel oriented processing blocks.
 These functions are also in gnuradio-core.
 Part of the main gnuradio build.

Package: libgnuradio-digital3.7.11
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: gnuradio digital communications functions
 All the functions for doing digital modulation and demodulation,
 including bpsk, qpsk, gmsk and ofdm signals.
 Part of the main gnuradio build.

Package: libgnuradio-dtv3.7.11
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: gnuradio digital TV signal processing blocks
 ATSC support, gr-atsc ported to a new framework, as well as
 DVB-S2, DVB-T, DVB-T2 digital video broadcast standards.
 Part of the main gnuradio build.

Package: libgnuradio-fcd3.7.11
Section: libs
Architecture: kfreebsd-any linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: gnuradio FunCube Dongle support
 The Funcube Dongle is a software defined radio
 receiver in a USB stick covering 64 MHz - 1.7 GHz. More info about the
 Funcube Dongle is available at http://www.funcubedongle.com/
 .
 This library allows the device to be used as a source in GNU Radio.
 .
 Part of the main gnuradio build.

Package: libgnuradio-fec3.7.11
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: gnuradio forward error correction support
 Handle forward error correction processing in gnuradio.
 Implements the GNU Radio FEC API, supporting encoders and
 decoders for no-op dummmy, repetition, and convolutional classes.
 Part of the main gnuradio build.

Package: libgnuradio-fft3.7.11
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: gnuradio fast Fourier transform functions
 Library for Fourier transform techniques used in gnuradio.
 Uses single precision FFT from libfftw3-single3.
 Part of the main gnuradio build.

Package: libgnuradio-filter3.7.11
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: gnuradio filter functions
 Library of filter blocks used in gnuradio. Implements
 FIR, IIR and FFT filters, as well as Polyphase filterbank and
 PFB arbitrary resampler methods.
 Part of the main gnuradio build.

Package: libgnuradio-noaa3.7.11
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: gnuradio noaa satellite signals functions
 Library for handling NOAA HRPT (National Oceanic and Atmospheric
 Administration High Rate Picture Transmission) signals.
 Part of the main gnuradio build.

Package: libgnuradio-pager3.7.11
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: gnuradio pager radio functions
 Library for handling pager signals, including FLEX radiopager
 protocol data. FLEX receiving is completed except for addition
 of BCH error correction
 Part of the main gnuradio build.

Package: libgnuradio-pmt3.7.11
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: gnuradio pmt container library
 Polymorphic Types are opaque data types that are designed as generic
 containers of data that can be safely passed around between blocks
 and threads in GNU Radio.
 Part of the main gnuradio build.

Package: libgnuradio-qtgui3.7.11
Section: libs
Architecture: kfreebsd-any linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: gnuradio Qt graphical user interface functions
 QT-based graphical sinks for gnuradio applications.
 Implements opengl, raster and native plotting methods, and
 supports a QT Style Sheet (QSS) file to adjust the look.
 Part of the main gnuradio build.

Package: libgnuradio-runtime3.7.11
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: gnuradio core runtime
 Top level component library. Defines core blocks. Handles
 settings for logging, performance counters, and control port.
 Part of the main gnuradio build.

Package: libgnuradio-trellis3.7.11
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: gnuradio trellis modulation functions
 Library for trellis coding modulation, including the Viterbi
 Algorithm, Concatenated Coding and Turbo Decoding
